/*
*
* CwNcAdvanceMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-05-05
*/
package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwNcAdvance;
import com.dhcc.finance.main.domain.CwNcAdvanceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwNcAdvanceMapper {
    /**
     *
     * @mbg.generated 2020-05-05
     */
    long countByExample(CwNcAdvanceExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int deleteByExample(CwNcAdvanceExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int insert(CwNcAdvance record);
    

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int insertSelective(CwNcAdvance record);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    List<CwNcAdvance> selectByExample(CwNcAdvanceExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    CwNcAdvance selectByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByExampleSelective(@Param("record") CwNcAdvance record, @Param("example") CwNcAdvanceExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByExample(@Param("record") CwNcAdvance record, @Param("example") CwNcAdvanceExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByPrimaryKeySelective(CwNcAdvance record);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByPrimaryKey(CwNcAdvance record);
    /**
     * 功能描述:清空NC垫付款明细表
     * @return int
     *@author likai
     *@data 2020年5月5日上午10:36:28
     *修改日志
     */
    int truncateNcAdvance();
    /**
     * 功能描述:批量新增NC垫付款明细
     * @return int
     *@author likai
     *@data 2020年5月5日上午10:44:59
     *修改日志
     */
    int batchInsertNcAdvance(List<CwNcAdvance> cwNcAdvances);
    /**
     * 功能描述:查询NC垫付款明细
     * @return List<CwNcAdvance>
     *@author likai
     *@data 2020年5月5日下午12:54:23
     *修改日志
     */
    List<CwNcAdvance> selectNcAdvance();
}